/***
    This file is part of PulseAudio.

    Copyright 2009 Nokia Corporation.

    PulseAudio is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published
    by the Free Software Foundation; either version 2 of the License,
    or (at your option) any later version.

    PulseAudio is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
    General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with PulseAudio; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
    USA.
***/

/***
    Based on work for the GNU C Library.
    Copyright (C) 2007,2008 Free Software Foundation, Inc.
***/
#ifndef __linux__
#error "eventfd.h wrapper is Linux only!"
#endif

#include <sys/syscall.h>

#if defined(SYS_eventfd) || defined(SYS_eventfd2)

#include <stdint.h>

/* Type for event counter.  */
typedef uint64_t eventfd_t;

/* Flags for signalfd.  */
enum
{
    EFD_CLOEXEC = 02000000,
#define EFD_CLOEXEC EFD_CLOEXEC
    EFD_NONBLOCK = 04000
#define EFD_NONBLOCK EFD_NONBLOCK
};

/* Return file descriptor for generic event channel.  Set initial
   value to COUNT.  */
extern int eventfd (int __count, int __flags);

#define HAVE_EVENTFD 1

#endif /* (SYS_eventfd) || (SYS_eventfd2) */
